Package owl.automaton

## Enum Automaton.PreferredEdgeAccess

- java.lang.Object
- - java.lang.Enum<Automaton.PreferredEdgeAccess>
  - - owl.automaton.Automaton.PreferredEdgeAccess

- All Implemented Interfaces:
    `Serializable`, `Comparable<Automaton.PreferredEdgeAccess>`
  Enclosing interface:
    Automaton<S,​A extends OmegaAcceptance>

      public static enum Automaton.PreferredEdgeAccess
      extends Enum<Automaton.PreferredEdgeAccess>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `EDGE_MAP` |
    `EDGE_TREE` |
    `EDGES` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Automaton.PreferredEdgeAccess` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Automaton.PreferredEdgeAccess[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EDGES

          public static final Automaton.PreferredEdgeAccess EDGES

    - #### EDGE_MAP

          public static final Automaton.PreferredEdgeAccess EDGE_MAP

    - #### EDGE_TREE

          public static final Automaton.PreferredEdgeAccess EDGE_TREE

  - ### Method Detail

    - #### values

          public static Automaton.PreferredEdgeAccess[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Automaton.PreferredEdgeAccess c : Automaton.PreferredEdgeAccess.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Automaton.PreferredEdgeAccess valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null